io.vertx.ext.bridge

## Interface BaseBridgeEvent

- All Superinterfaces:
    AsyncResult<Boolean>, Future<Boolean>, Handler<AsyncResult<Boolean>>
  All Known Subinterfaces:
    BridgeEvent, BridgeEvent

      public interface BaseBridgeEvent
      extends Future<Boolean>

  Represents an event that occurs on the event bus bridge.

  Please consult the documentation for a full explanation.

  Author:
    Tim Fox

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.core.Future

      `factory`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonObject` | `getRawMessage()` Get the raw JSON message for the event.
    `BaseBridgeEvent` | `setRawMessage(JsonObject message)` Get the raw JSON message for the event.
    `BridgeEventType` | `type()`

    - ### Methods inherited from interface io.vertx.core.Future

      `cause, complete, complete, completer, compose, compose, fail, fail, failed, failedFuture, failedFuture, future, future, handle, isComplete, map, map, mapEmpty, otherwise, otherwise, otherwiseEmpty, recover, result, setHandler, succeeded, succeededFuture, succeededFuture, tryComplete, tryComplete, tryFail, tryFail`

- - ### Method Detail

    - #### type

          BridgeEventType type()

      Returns:
        the type of the event

    - #### getRawMessage

          JsonObject getRawMessage()

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved. If the returned message is modified, `setRawMessage(io.vertx.core.json.JsonObject)` should be called with the new message.
      Returns:
        the raw JSON message for the event

    - #### setRawMessage

          BaseBridgeEvent setRawMessage(JsonObject message)

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved.
      Parameters:
        `message` - the raw message
      Returns:
        this reference, so it can be used fluently

Copyright © 2018 Eclipse. All rights reserved.